<div class="container-fluid full-height-container">
  <div class="row full-height-container">
    <section class="offset-1 col-sm-2">
      <div>
        <div class="row image-block" align="center" *ngIf="isImageVisible">
          <img [src]="url" height="190" width="190">
        </div>
        <div class="row" align="center">
          <label class="file-upload" ng-if="!isImageVisible">
            <input type='file' (change)="onSelectFile($event)" accept="image/jpeg,image/png"> Upload your photo
          </label>
        </div>
      </div>
      <div class="row edit-link" *ngIf="isFormSubmitted">
        <a (click)="onEditProfileClick()">Edit Profile</a>
      </div>
    </section>
    <main class="col-sm-9">
      <div class="col-sm-10">
        <form #registration="ngForm" (ngSubmit)="onSubmit()" [hidden]="isFormSubmitted">
          <fieldset ngModelGroup="name">
            <div class="form-group name-group">
              <label>First Name</label>
              <input type="text" class="form-control" name="firstName" [(ngModel)]="user.firstName" #firstName="ngModel" required pattern="[A-z]{1,20}">
              <div class="form-control-feedback" *ngIf="firstName.errors && (firstName.dirty || firstName.touched)">
                <p *ngIf="firstName.errors.required">First name is required</p>
                <p *ngIf="firstName.errors.pattern">First name should be alphabets with maximum 20 characters</p>
              </div>
            </div>

            <div class="form-group name-group pull-right">
              <label>Last Name</label>
              <input type="text" class="form-control" name="lastName" [(ngModel)]="user.lastName" #lastName="ngModel" required>
              <div class="form-control-feedback" *ngIf="lastName.errors && (lastName.dirty || lastName.touched)">
                <p *ngIf="lastName.errors.required">Last name is required</p>
              </div>
            </div>
          </fieldset>
          <div class="form-group">
            <label>Age</label>
            <mat-slider thumbLabel tickInterval="10" min="13" max="50" step="10" value="13" name="age" [(ngModel)]="user.age"></mat-slider>
          </div>
          <div class="form-group">
            <label>Email</label>
            <input type="email" class="form-control" name="email" [(ngModel)]="user.email" #email="ngModel" required pattern="[^ @]*@[^ @]*">
            <div class="form-control-feedback" *ngIf="email.errors && (email.dirty || email.touched)">
              <p *ngIf="email.errors.required">Email is required</p>
              <p *ngIf="email.errors.pattern">Email must contain at least the @ character</p>
            </div>
          </div>
          <div class="form-group">
            <label>Tel</label>
            <input type="text" class="form-control" name="phone" [(ngModel)]="user.phone" #phone="ngModel" required/>
            <div class="form-control-feedback" *ngIf="phone.errors && (phone.dirty || phone.touched)">
              <p *ngIf="phone.errors.required">Email is required</p>
              <p *ngIf="phone.errors.pattern">Email must contain at least the @ character</p>
            </div>
          </div>
          <div class="form-group">
            <label>State</label>
            <select class="form-control" name="state" [(ngModel)]="user.state" #state="ngModel">
              <option *ngFor="let val of statesList" [value]="val">{{val}}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label>Country</label>
            <select class="form-control" name="country" [(ngModel)]="user.country" (change)="onCountryChange($event)">
              <option *ngFor="let val of countryList" [value]="val">{{val}}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label>Address</label>
            <select class="form-control" name="addressType" [(ngModel)]="user.addressType" #addressType="ngModel" (change)="onAddressTypeChange($event)">
              <option value="H">Home</option>
              <option value="C">Company</option>
            </select>
          </div>
          <fieldset *ngIf="isHomeAddressSelected">
            <div class="form-group name-group">
              <label>Address 1</label>
              <input type="text" class="form-control" name="address1" [(ngModel)]="user.address1">
            </div>
            <div class="form-group name-group pull-right">
              <label>Address 2</label>
              <input type="text" class="form-control" name="address2" [(ngModel)]="user.address2">
            </div>
          </fieldset>
          <fieldset *ngIf="isCompanyAddressSelected">
            <div class="form-group name-group">
              <label>Company Address 1</label>
              <input type="text" class="form-control" name="companyAddress1" [(ngModel)]="user.companyAddress1">
            </div>
            <div class="form-group name-group pull-right">
              <label>Company Address 2</label>
              <input type="text" class="form-control" name="companyAddress2" [(ngModel)]="user.companyAddress2">
            </div>
          </fieldset>
          <div class="form-group">
            <label>Interests</label>
            <ng-select [items]="interests" [addTag]="true" bindLabel="name" [hideSelected]="true" multiple="true" [(ngModel)]="user.interests"
              required name="interests">
            </ng-select>
          </div>
          <div class="form-group">
            <input type="checkbox" checked=user.isSubscribed name="isSubscribed" [(ngModel)]="user.isSubscribed" />
            <label for="isSubscribed">Subscribe to the news letter</label>
          </div>
          <button type="submit" mat-raised-button color="primary" [disabled]="registration.invalid">Submit</button>
        </form>
        <div class="form-details" *ngIf="isFormSubmitted">
          <span>{{userDetails}}</span>
          <br/>
          <button type="button" mat-raised-button color="primary">Agree</button>
        </div>
      </div>
    </main>
  </div>
</div>